RagTime5DocumentInternal::DocInfoFieldParser Struct Reference documentation

Public Member Functions | Protected Attributes | List of all members
RagTime5DocumentInternal::DocInfoFieldParser Struct Referencefinal

Internal: the helper to read doc info parse. More...

Inheritance diagram for RagTime5DocumentInternal::DocInfoFieldParser:

## Public Member Functions
| DocInfoFieldParser (RagTime5Document &doc)
| constructor
| ~DocInfoFieldParser () final
| destructor
bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &zone, int, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field
virtual bool | parseField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field

## Protected Attributes
RagTime5Document & | m_document
| the main parser
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name

## Additional Inherited Members
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Detailed Description

Internal: the helper to read doc info parse.

## Constructor & Destructor Documentation

## ◆ DocInfoFieldParser()

RagTime5DocumentInternal::DocInfoFieldParser::DocInfoFieldParser | ( | RagTime5Document & | doc | ) |
| inlineexplicit

constructor

## ◆ ~DocInfoFieldParser()

RagTime5DocumentInternal::DocInfoFieldParser::~DocInfoFieldParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseField()

bool RagTime5DocumentInternal::DocInfoFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | zone,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5DocumentInternal::DocInfoFieldParser::m_document
| protected

the main parser

Referenced by parseField().

The documentation for this struct was generated from the following file:

- RagTime5Document.cxx